// File:  ADTQueue\NItem.java

/**
 * Realization of a Queue ADT
 * 
 * @author Bary W Pollack
 * @version Jan. 2, 2001 - 21:00 PST
 */

// Represents an "Item" that contains an int
public class NItem extends Item {

    // Default constructor
    NItem() { }

    // Loads the data item
    NItem(int nItem) {
        this.nItem = nItem;
    }

    // Accessor - returns the data item
    public int getNitem() {
        return nItem;
    }
    
    // Mutator - sets the data item
    public void setNitem(int nItem) {
        this.nItem = nItem;
    }

    // String representation of the data
    public String toString() {
        return "" + nItem;
    }

    private int nItem;

}
