// File:  ADTQueue\QueueIfx.java

/**
 * Realization of a Queue ADT
 * 
 * @author Bary W Pollack
 * @version Jan. 2, 2001 - 21:00 PST
 */

// This is the Queue Interface

// Every Queue must provide implementations of these methods
// (Remember, each of these methods is 'public' by default)

interface QueueIfx {
    void create();
    boolean isEmpty()    throws QueueException;
    boolean isFull()     throws QueueException;
    int size()           throws QueueException;
    void push(Item item) throws QueueException;
    Item pop()           throws QueueException;
    void popAll()        throws QueueException;
    Item peek()          throws QueueException;
    void display()       throws QueueException;
    String toString();
}
